import json

import cupy as cp

import numpy as np

if __name__ == '__main__':
    arr = np.array([
        [1, 2, 3],
        [1, 2, 3],
    ])
    print(type(arr.shape))
    print(np.frombuffer(arr.tobytes(), dtype=np.dtype(str(arr.dtype))).reshape(arr.shape))

